<div [formGroup]="form">
  <label [attr.for]="formItem.key">{{formItem.label}}</label>

  <div [ngSwitch]="formItem.controlType">

    <input *ngSwitchCase="'textbox'" [formControlName]="formItem.key"
            [id]="formItem.key" [type]="formItem.type" style="width: 400px;">

    <select [id]="formItem.key" *ngSwitchCase="'dropdown'" [formControlName]="formItem.key">
      <option *ngFor="let opt of formItem.entities" [value]="opt.value">{{opt.value}}</option>
    </select>

  </div>

  <div class="errorMessage" *ngIf="form.get(formItem.key).invalid && (form.get(formItem.key).dirty || form.get(formItem.key).touched)">{{formItem.label}} is required</div>
</div>
